tree< T, tree_node_allocator >::sibling_iterator Class Reference

Iterator which traverses only the nodes which are siblings of each other. More...

Inheritance diagram for tree< T, tree_node_allocator >::sibling_iterator:

## Public Member Functions

| sibling_iterator (tree_node *)
| sibling_iterator (const sibling_iterator &)
| sibling_iterator (const iterator_base &)
bool | operator== (const sibling_iterator &) const
bool | operator!= (const sibling_iterator &) const
sibling_iterator & | operator++ ()
sibling_iterator & | operator-- ()
sibling_iterator | operator++ (int)
sibling_iterator | operator-- (int)
sibling_iterator & | operator+= (unsigned int)
sibling_iterator & | operator-= (unsigned int)
tree_node * | range_first () const
tree_node * | range_last () const
| sibling_iterator (tree_node *)
| sibling_iterator (const sibling_iterator &)
| sibling_iterator (const iterator_base &)
bool | operator== (const sibling_iterator &) const
bool | operator!= (const sibling_iterator &) const
sibling_iterator & | operator++ ()
sibling_iterator & | operator-- ()
sibling_iterator | operator++ (int)
sibling_iterator | operator-- (int)
sibling_iterator & | operator+= (unsigned int)
sibling_iterator & | operator-= (unsigned int)
tree_node * | range_first () const
tree_node * | range_last () const
| sibling_iterator (tree_node *)
| sibling_iterator (const sibling_iterator &)
| sibling_iterator (const iterator_base &)
bool | operator== (const sibling_iterator &) const
bool | operator!= (const sibling_iterator &) const
sibling_iterator & | operator++ ()
sibling_iterator & | operator-- ()
sibling_iterator | operator++ (int)
sibling_iterator | operator-- (int)
sibling_iterator & | operator+= (unsigned int)
sibling_iterator & | operator-= (unsigned int)
tree_node * | range_first () const
tree_node * | range_last () const

## Data Fields

tree_node * | parent_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::sibling_iterator

Iterator which traverses only the nodes which are siblings of each other.

Definition at line 230 of file lib/tree.hh.

The documentation for this class was generated from the following files:

- lib/tree.hh
- libofx-0.9.5/lib/tree.hh
- tar-pax-libofx/lib/tree.hh